Holger's Java API

## com.antelmann.genealogy
Class GAnnotation

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.ProtocolNoteEntry
              com.antelmann.genealogy.GAnnotation

All Implemented Interfaces:
  Timed, DBEntry, ProtocolNote, Serializable

    public class GAnnotation

extends ProtocolNoteEntry

Since:
  31.12.2014, 18:30:14
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`GAnnotation(Object id)`
`GAnnotation(Object id, long time)`

Method Summary
`URL` `getUrl()`
`Stub<GUser>` `getUser()`
`boolean` `isUserOnly()`
`void` `setUrl(URL url)`
`void` `setUser(Stub<GUser> user)`
`void` `setUserOnly(boolean userOnly)`

Methods inherited from class com.antelmann.db.ProtocolNoteEntry
`getDate, getDocumentReference, getDocumentString, getNotes, getTime, setDocumentReference, setNotes, setTime`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GAnnotation

    public GAnnotation(Object id,
                       long time)

### GAnnotation

    public GAnnotation(Object id)

Method Detail

### getUser

    public Stub<GUser> getUser()

### setUser

    public void setUser(Stub<GUser> user)

### getUrl

    public URL getUrl()

### setUrl

    public void setUrl(URL url)

### isUserOnly

    public boolean isUserOnly()

### setUserOnly

    public void setUserOnly(boolean userOnly)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads